Debian DLA-2842-1:apache-log4j2 - LTS 安全性更新

critical Nessus Plugin ID 156018

Synopsis

遠端 Debian 主機缺少安全性相關更新。

描述

遠端 Debian 9 主機上安裝的套件受 dla-2842 公告中提及的一個弱點影響。

- 在 2.14.1 及之前版本的 Apache Log4j2 中,組態、記錄訊息和參數中使用的 JNDI 功能無法防範受攻擊者控制的 LDAP 和其他 JNDI 相關端點。若攻擊者能夠控制記錄訊息或記錄訊息參數,則可在啟用訊息查閱替代時,執行從 LDAP 伺服器載入的任意程式碼。自 log4j 2.15.0 開始,此行為已預設為停用。在晚於 2.10 的先前版本中,可藉由將系統內容 log4j2.formatMsgNoLookups 設為 true 減輕此行為帶來的影響;在早於 2.10 的先前版本中,可藉由移除類別路徑 (例如:zip -q -d log4j-core-*.jar org/apache/logging/log4j/core/lookup/JndiLookup.class) 中的 JndiLookup 類別減輕此行為帶來的影響。
(CVE-2021-44228)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級 apache-log4j2 套件。

針對 Debian 9 Stretch,已在 2.7-2+deb9u1 版本中修正此問題。

另請參閱

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1001478

http://www.nessus.org/u?a7f9f2b8

https://www.debian.org/lts/security/2021/dla-2842

https://security-tracker.debian.org/tracker/CVE-2021-44228

https://packages.debian.org/source/stretch/apache-log4j2

Plugin 詳細資訊

嚴重性: Critical

ID: 156018

檔案名稱: debian_DLA-2842.nasl

版本: 1.9

類型: local

代理程式: unix

已發布: 2021/12/13

已更新: 2022/12/5

支持的傳感器: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Critical

分數: 10

CVSS v2

風險因素: High

基本分數: 9.3

時間分數: 8.1

媒介: AV:N/AC:M/Au:N/C:C/I:C/A:C

時間媒介: E:H/RL:OF/RC:C

CVSS 評分資料來源: CVE-2021-44228

CVSS v3

風險因素: Critical

基本分數: 10

時間分數: 9.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H

時間媒介: E:H/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:liblog4j2-java, p-cpe:/a:debian:debian_linux:liblog4j2-java-doc, cpe:/o:debian:debian_linux:9.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2021/12/12

弱點發布日期: 2021/12/10

CISA 已知利用日期: 2021/12/24

惡意利用途徑

CANVAS (CANVAS)

參考資訊

CVE: CVE-2021-44228

IAVA: 2021-A-0573, 0001-A-0650

CEA-ID: CEA-2021-0052